class CreateHackSets < ActiveRecord::Migration[5.2]
  def change
    create_table :hack_sets do |t|
      t.references :hack
      t.text :input
      t.text :output
      t.integer :position

      t.timestamps
    end
    add_index :hack_sets, [:hack_id, :position], unique: true
  end
end
